## gimptile

gimptile

## Functions

void | gimp_tile_ref ()
void | gimp_tile_ref_zero ()
void | gimp_tile_unref ()
void | gimp_tile_flush ()
void | gimp_tile_cache_size ()
void | gimp_tile_cache_ntiles ()

## Types and Values

| GimpTile

## Description

## Functions

### gimp_tile_ref ()

    void
    gimp_tile_ref (GimpTile *tile);

### gimp_tile_ref_zero ()

    void
    gimp_tile_ref_zero (GimpTile *tile);

### gimp_tile_unref ()

    void
    gimp_tile_unref (GimpTile *tile,
                     gboolean dirty);

### gimp_tile_flush ()

    void
    gimp_tile_flush (GimpTile *tile);

### gimp_tile_cache_size ()

    void
    gimp_tile_cache_size (gulong kilobytes);

### gimp_tile_cache_ntiles ()

    void
    gimp_tile_cache_ntiles (gulong ntiles);

## Types and Values

### GimpTile

    typedef struct {
      guint         ewidth;     /* the effective width of the tile */
      guint         eheight;    /* the effective height of the tile */
      guint         bpp;        /* the bytes per pixel (1, 2, 3 or 4 ) */
      guint         tile_num;   /* the number of this tile within the drawable */
      guint16       ref_count;  /* reference count for the tile */
      guint         dirty : 1;  /* is the tile dirty? has it been modified? */
      guint         shadow: 1;  /* is this a shadow tile */
      guchar       *data;       /* the pixel data for the tile */
      GimpDrawable *drawable;   /* the drawable this tile came from */
    } GimpTile;